close

[Solved] How to fix ‘java.lang.module.FindException: module java.se.ee not found’ error when packaging my kivy application with buildozer

Hello Guys, How are you all? Hope You all Are Fine. Today I get the following error How to fix ‘java.lang.module.FindException: module java.se.ee not found’ error when packaging my kivy application with buildozer in python. So Here I am Explain to you all the possible solutions here.

Without wasting your time, Let’s start This Article to Solve This Error.

How to fix ‘java.lang.module.FindException: module java.se.ee not found’ error when packaging my kivy application with buildozer Error Occurs?

Today I get the following error How to fix ‘java.lang.module.FindException: module java.se.ee not found’ error when packaging my kivy application with buildozer in python.

How To Solve fix ‘java.lang.module.FindException: module java.se.ee not found’ error when packaging my kivy application with buildozer Error ?

  1. How To Solve fix 'java.lang.module.FindException: module java.se.ee not found' error when packaging my kivy application with buildozer Error ?

    To Solve fix 'java.lang.module.FindException: module java.se.ee not found' error when packaging my kivy application with buildozer Error Up until a few days ago if you had installed openjdk-11-jdk/jre from the Ubuntu repos you would have found it was actually a version of Java 10

  2. How to fix 'java.lang.module.FindException: module java.se.ee not found' error when packaging my kivy application with buildozer

    To Solve How to fix 'java.lang.module.FindException: module java.se.ee not found' error when packaging my kivy application with buildozer Error Up until a few days ago if you had installed openjdk-11-jdk/jre from the Ubuntu repos you would have found it was actually a version of Java 10

Solution 1

Up until a few days ago if you had installed openjdk-11-jdk/jre from the Ubuntu repos you would have found it was actually a version of Java 10

java.se.ee has been deprecated in Java 9, 10 and removed in Java 11 (https://www.oracle.com/technetwork/java/javase/11-relnote-issues-5012449.html)

Unfortunately there is no simple way to get the Android tools like sdkmanager or avdmanager running with Java 11 yet.

I was able to get buildozer running on Ubuntu again with Java 10:

  • Download Java 10 Linux x64 JDK (.tar.gz) from http://jdk.java.net/java-se-ri/10
  • Untar: tar -xzvf jdk-10_linux-x64_bin_ri.tar.gz
  • Set PATH: export PATH=/path/to/inflated/jdk-10/bin:$PATH

Solution 2

was getting error License not accepted for SDK Build tools etc

solved by Installing

  1. SDK Command Line Tools
  2. Google Play licensing services

in SDK Manager > SDK Tools

helped me after getting frustrated for 2 hours, and hearing from everyone that only way is to downgrade Java

Summery

It’s all About this issue. Hope all solution helped you a lot. Comment below Your thoughts and your queries. Also, Comment below which solution worked for you? Thank You.

Also, Read